ranges::views::join_fn Struct Reference
Inheritance diagram for ranges::views::join_fn:

## Synopsis of methods

constexpr view_closure< join_fn > | join {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::join_base_fn
template<typename Rng >
auto | operator() (Rng &&rng, inner_value_t< Rng > v) const -> join_with_view< all_t< Rng >, single_view< inner_value_t< Rng >>> requires joinable_with_range< Rng, single_view< inner_value_t< Rng >>>
template<typename Rng , typename ValRng >
auto | operator() (Rng &&rng, ValRng &&val) const -> join_with_view< all_t< Rng >, all_t< ValRng >> requires joinable_with_range< Rng, ValRng >
Public Member Functions inherited from ranges::views::cpp20_join_fn
template<typename Rng >
auto | operator() (Rng &&rng) const -> join_view< all_t< Rng >> requires joinable_range< Rng >
Public Member Functions inherited from ranges::views::join_bind_fn
template<typename T >
constexpr auto | operator() (T &&t) const requires(!joinable_range< T >)
template<typename T , std::size_t N>
constexpr auto | operator() (T(&val)[N]) const